Package org.springframework.security.authentication

# Interface AuthenticationManagerResolver<C>

public interface AuthenticationManagerResolver<C>
An interface for resolving an `AuthenticationManager` based on the provided context

Since:
  5.2

## Method Summary

Modifier and Type
Method
Description
`AuthenticationManager`
`resolve(C context)`
Resolve an `AuthenticationManager` from a provided context

## Method Details

### resolve

AuthenticationManager resolve(C context)
Resolve an `AuthenticationManager` from a provided context

Parameters:
  `context` -
Returns:
  the `AuthenticationManager` to use